---
updatedAt: 2025-09-18T21:52:32.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# eth_getTransactionByBlockNumberAndIndex

Returns information about a transaction given a block number and transaction index position.

> 📘 Supported on Avalanche C-Chain (mainnet) only.

## Parameters

* `qunatity | tag` - Integer block number encoded as a hexadecimal, or the string 'latest', 'earliest' or 'pending'.
* `quantity` - A hex of the integer representing the position in the block.

## Returns

* `object` - Transaction Response Object, or null if no transaction is found:
  * `hash` - The hash of the transaction
  * `nonce` - The number of transactions made by the sender prior to this one encoded as hexadecimal.
  * `blockHash` - The hash of the block where this transaction was in. null if pending.
  * `blockNumber` - The block number where this transaction was in. null if pending.
  * `transactionIndex` - Integer of the transactions index position in the block. null if pending.
  * `from` - Address of the sender.
  * `to` - Address of the receiver. Null when its a contract creation transaction.
  * `value` - The value transferred in Wei, encoded as a hexadecimal.
  * `gasPrice` - The gas price provided by the sender in Wei, encoded as a hexadecimal.
  * `gas` - The gas provided by the sender, encoded as a hexadecimal.
  * `input` - The data sent along with the transaction.
  * `v` - The standardized V field of the signature.
  * `standardV` - The standardized V field of the signature (0 or 1).
  * `r` - The R field of the signature.
  * `raw` - The raw transaction data.
  * `publickey` - The public key of the signer.
  * `chainid` - The chain id of the transaction, if any.

## API Endpoint

The format of an Avalanche C-Chain API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc` - for RPC API\
`https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/avax` - for AVAX API

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/rpc`\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/avalanche-c/ext/bc/C/avax`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/avalanche-c/ext/bc/C/rpc \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getTransactionByBlockNumberAndIndex","params":["0xc5043f", "0x2"],"id":1,"jsonrpc":"2.0"}'

```

**Result**

```
{

}
```